Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 404427 - dev-python/cvxopt-1.1.4-r1 test suite triggers ssp
Summary: dev-python/cvxopt-1.1.4-r1 test suite triggers ssp
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Hardened (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: The Gentoo Linux Hardened Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-18 17:56 UTC by Markus Oehme
Modified: 2014-01-16 18:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,15.28 KB, text/plain)
2012-02-18 17:56 UTC, Markus Oehme
Details
emerge --info (info.txt,5.42 KB, text/plain)
2012-02-18 17:56 UTC, Markus Oehme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2012-02-18 17:56:10 UTC
On my hardened ~amd64 machine with gcc-4.6.2 I see the following occurrence of the stack smashing protector.

  * Testing of dev-python/cvxopt-1.1.4-r1 with CPython 3.2...
*** stack smashing detected ***: python3.2 - terminated
python3.2: stack smashing attack in function <unknown> - terminated
Comment 1 Markus Oehme 2012-02-18 17:56:26 UTC
Created attachment 302407 [details]
build log
Comment 2 Markus Oehme 2012-02-18 17:56:36 UTC
Created attachment 302409 [details]
emerge --info
Comment 3 Sébastien Fabbro (RETIRED) gentoo-dev 2014-01-16 18:46:05 UTC
  16 Jan 2014; Sébastien Fabbro <bicatali@gentoo.org>
  +files/cvxopt-1.1.6-glpk.patch, -cvxopt-1.1.5-r2.ebuild,
  -files/cvxopt-1.1.5-setup.patch, cvxopt-1.1.6.ebuild, metadata.xml:
  Fixed for glpk versions > 4.49 (bug #473454), fixed for blas/lapck under /opt
  (bug #498144, thanks kiwifb), removed old (bug #404427, #450992)